﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Session1
{
    /// <summary>
    /// Логика взаимодействия для EditAgent.xaml
    /// </summary>
    public partial class EditAgent : Window
    {
        Agent selectedAgent;
        public EditAgent(Agent selectedAgent)
        {
            InitializeComponent();
            this.selectedAgent = selectedAgent;
            foreach (AgentType type in BaseConnect.baseModel.AgentType)
            {
                agentType.Items.Add(type);
            }
            agentType.DisplayMemberPath = "Title";
            LoadAgentData();
        }

        private void LoadAgentData()
        {
            agentImg.Source = new BitmapImage(new Uri(selectedAgent.AgentImage, UriKind.Relative));
            imgPath.Text = selectedAgent.Logo;
            agentName.Text = selectedAgent.Title;
            agentType.SelectedItem = selectedAgent.AgentType;
            agentPriority.Text = selectedAgent.Priority.ToString();
            agentAddress.Text = selectedAgent.Address;
            agentINN.Text = selectedAgent.INN;
            agentKPP.Text = selectedAgent.KPP;
            agentPhone.Text = selectedAgent.Phone;
            agentDirector.Text = selectedAgent.DirectorName;
            agentEmail.Text = selectedAgent.Email;
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {

        }

        private void cancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
